Register a device and return its device bearer token once (scope sync:write)
POST
/api/v1/sync/devicesAuthorization
AuthorizationBearer token · headerrequiredScoped API token (bnx_…). Required scopes are noted per operation.
Request body
application/jsonnamestringrequiredmin length 1 · max length 120
platformstringAllowed:
macoswindowslinuxResponses
201
Registered device with one-time plaintext device token
idstringrequirednamestringrequiredplatformstring | nullrequiredtokenstringrequired400
Invalid request
errorstringrequiredcodestringrequiredrulestring401
Unauthenticated
errorstringrequiredcodestringrequiredrulestring403
Forbidden (missing scope or permission)
errorstringrequiredcodestringrequiredrulestring429
Rate limited
errorstringrequiredcodestringrequiredrulestring